Subject: Re: bug#20404: 25.0.50; Sometimes no fontification with jit-lock-defer-time

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Apr 2015 10:54:24 +0300

> From: Tassilo Horn <[email-masked]>
> Date: Wed, 22 Apr 2015 11:45:42 +0200
> 
> I use the settings
> 
>   (setq jit-lock-defer-time 0.0312
>         jit-lock-stealth-nice 0.117
>         jit-lock-stealth-time 0.23)
> 
> to speed up scrolling in large buffers with complex font-lock rules.
> That basically works nice.  However, quite often I'm faced with buffers
> that are not fontified before I do something, e.g., move point.
> 
> This frequently happens when installing/upgrading packages with the
> package manager.  That shows the buffer containing the byte-compliation
> messages with fontified warnings and errors.  Every second time or so,
> I'm faced with a completely unfontified buffer that gets fontified only
> after selecting the window showing the buffer.
> 
> Another and even reproducible case is `report-emacs-bug'.  It goes like
> this:
> 
>   1. emacs -Q
>   2. eval my above settings in *scratch*
>   3. M-x report-emacs-bug
> 
> The new message buffer is completely unfontified initially.

I've reproduced this recipe.  The fontification happens about 2.5 sec
after the buffer is initially displayed.  I've noticed that the cursor
also doesn't blink during these few seconds, which seems to imply that
Emacs simply doesn't "become idle" during that time, or maybe doesn't
run _any_ idle timers during that time for some other reason.

Btw, it is enough to set jit-lock-defer-time to something non-zero, to
have this effect; the other 2 customizations seem not to affect this.